.. ----------------------------------------
.3 Version 2.01
.. ----------------------------------------

*Fixed/updated:*
.ul
- made relative paths relative to current dir instead of the .ipf file
  output dir
- extended the search directories for bitmaps to search in the current
  and the parent directory and added a [.LINK_SEARCHBITMAPS section]
  about it
- improve compatibilty with NewView for [.CMD_LINES] and [.CMD_CENTER]
- fix version info in header of htext.cmd

.. ----------------------------------------
.3 Version 2.00
.. ----------------------------------------

*Fixed/updated:*
.ul
- [[[[ and ]]]] produce the bracket chars now correctly, even when
  occurring unbalanced
- removed additional spaces and empty lines in the produced IPF code
- avoid additional linebreaks before and after many commands
- enabled filenames with spaces
- allow for using either single or double quotes in parameters when
  needed
- handle extension of output files correctly when inputfile extension is
  longer
- removed superfluous IPF font attributes, e.g. "__**" now produces
  ":hp7." instead of ":hp5.:ehp5.:hp7."
- ignore font attributes in header titles, because these would end
  the header tags otherwise (IPF limitation)
- when [.CMD_DIMENSIONS] was specified for a page, these dimensions won't
  be changed by a [.CMD_SUBLINK] command of a superior page anymore
- bitmap filenames appear in the IPF file relative to the main file
  per default, in order to make the created IPF file better exchangable
  between multiple systems - that bevior is changable via an
  [.USAGE_ENVVARS environment variable]
- added missing documentation for bitmap alignment parameters and
  [.CMD_CENTER]
- fixed many cosmetic bugs in the documentation
- slightly reformatted the documentation

*New:*
.ul
- added [.USAGE_IPF2HTEXT Ipf2Htext] for compiling an IPF file to an
  [=TITLE] source file
- control addition of par breaks or line breaks now automatically when
  needed, see [.CMD_EMPTYLINES]
- optimized vertical spacing for both IBM's View and NewView
- added command
.sl
  - [.CMD_PAR]
.el
  to force a par break in a list and where an empty line would be gobbled
- added command
.sl
  - [.CMD_NOTE]
.el
  for a list preceded with *Note:*
- added command
.sl
  - [.CMD_LINES]
.el
  to format lines with linebreaks as specified and with special alignment
- added command parameter
.sl
  - [.CMD_FORMAT .FORMAT TEXT]
.el
  as an environment without the need to double escape chars
- added command
.sl
  - [.CMD_TTCHAR]
.el
  to make the specified char an inline typewriter type (monospace) escape
  char and for to initialize typewriter type font escaping
- added command
.sl
  - [.CMD_TTFONT]
.el
  to change the default inline typewriter type (monospace) font
- added attribute parameter
.sl
  - [.CMD_ATTRIBUTE .ATTRIBUTE TT]
.el
  to initialize typewriter type font escaping
- added command
.sl
  - [.CMD_GET]
.el
  to include the value of an env var and process it as [=TITLE] code command
- added command
.sl
  - [.CMD_HNUMBERING]
.el
  to number page headers automatically
- added parameters to control the first and last line of
.sl
  - [.CMD_INCLUDE], [.CMD_TEXTINCLUDE] and [.CMD_CINCLUDE]
.el
- added command
.sl
  - [.CMD_HTOC]
.el
  to control the header levels being added to the table of contents
- added command
.sl
  - [.CMD_HRULE]
.el
  with optional header text to create additional dividers on a page
  without having to create extra subpanels for it
- enabled bitmap links (called "artlinks" in IPF):
  - link bitmaps are now clickable
  - links accept additional parameters like #bitmap=# or #text=#, see
    [.LINK_ADVANCED]
- made default bitmaps used for web, email and inf links configurable,
  see [.LINK_BITMAPS]
- added command
.sl
  - [.CMD_LOL]
.el
  to add a list of internet links
- added https and irc as [.LINK_URL link protocols]
- allow for using an [.CMD_SET environment variable] multiple times with
  different values (since expanding it immediately)
- [.CMD_SET environment variables] can hold now multiple lines (when a bar
  char should be used in the value, it must be escaped now)
- allow reset of [.CMD_SET environment variables] by specifying no value
- auto-links (for opening subpanels automatically) will be created if
  panels have joining borders (added for files compiled by Ipf2Htext to
  enable auto-links even without [.CMD_SUBLINK] recognition, only by
  specified panel dimensions)
- added [.USAGE_DIRECTLY /Subpages] parameter to HTEXT.CMD to enable
  customized panel dimensions also for HLP files
- added a few sections and some examples to the documentation.

.. ----------------------------------------
.3 Version 1.07
.. ----------------------------------------

*New:*
.ul
- added command
.sl
  - [.CMD_EXIT]
.el
  to stop compilation for the current (include) file
- added command
.sl
  - [.CMD_TABLE]
.el
  to create an IPF table
- added command
.sl
  - [.CMD_CINCLUDE]
.el
  to implement a basic import of *##define* symbols of C header files

.. ----------------------------------------
.3 Version 1.06
.. ----------------------------------------

*Fixed/updated:*
.ul
- corrected syntax diagram of the [.USAGE_DIRECTLY htext command]

*New:*
.ul
- added [.USAGE_HTCMP htcmp command]

.. ----------------------------------------
.3 Version 1.05
.. ----------------------------------------

*New:*
.ul
- added command
.sl
  - [.CMD_TEXTINCLUDE]
.el
  to allow include of a text file without [=TITLE] source
  syntax interpretation.

.. ----------------------------------------
.3 Version 1.04
.. ----------------------------------------

*Fixed/updated:*
.ul
- cleaned up the package process for a release
  - added bitmap files to the package, which I accidentally missed to include in earlier versions
  - shipped the release version of the [.USAGE_HTLAUNCH HtLaunch utility] instead of
    the debug version, making the executable much smaller

*New:*
.ul
- the bitmap files used by [=TITLE] are now also searched in a subdirectory *bmp*,
  as the ship package now contains a subdirectory *bmp* holding the files.



For more information about the bitmap files supplied with the [=TITLE] package
please see also
.ul compact
- [.INSTALL_HTEXT]

.. ----------------------------------------
.3 Version 1.03
.. ----------------------------------------

*Fixed/updated:*
.ul
- fixed an error which prevented [=TITLE] from generating proper help files.
  Before that always INF files where generated, even when having a .HLP filename extension.

*New:*
.ul
- the [.USAGE_HTLAUNCH HtLaunch utility] executable now supports the *BLDLEVEL* command
- added command
.sl
  - [.CMD_ALIAS]
.el
  to allow a definition of an alternate string to represent a subpanel in a list
  generated by a [.CMD_SUBLINK] command.
- added command
.sl
  - [.CMD_DIMENSIONS]
.el
  to allow to set the dimensions of a panel.
- added command
.sl
  - [.CMD_HIDE]
.el
  to allow to hide a panel from the contents list.

.. ----------------------------------------
.3 Version 1.02
.. ----------------------------------------

*Fixed/updated:*
.ul
- added command
.sl
  - [.CMD_ELIST]
.el
  to allow to end a list level in nested lists or multilevel lists
  in order to allow adding text after a list (level).
- added support for nested lists created by the commands
.sl
  - [.CMD_SLIST], [.CMD_OLIST], [.CMD_ULIST] and [.CMD_PLIST]
- changed access to sourcefile to readonly (important when using TVFS)
- added detection for empty [.CMD_HEADER header] text
- changed INF title from *Compiler Reference* to *IPF Preprocessor Reference*

*New:*
.ul
- added source samples with comparison to IPF code
- added support of attribute characters also for [.LINK_EXAMPLES_URL http links]

.. ----------------------------------------
.3 Version 1.01
.. ----------------------------------------

*Fixed/updated:*
.ul
- lines with a period as first non-whitespace character within a list got lost
- commandline parameter */?* did not display help
- external or internet links with text got link text still appended to URL
- documentation update for
  - [.CMD_IF] commands:
.
  conditional compile may not be nested
  - [.CMD_SET] command:
.
  variables set with the .SET command are resolved at the end of the document only

*New:*
.ul
- text replacement implemented for parameters to commands
- [.CMD_IF] commands now can handle multiple conditions

.. ----------------------------------------
.3 Version 1.00
.. ----------------------------------------

First public release

